genivi-audio-manager@lists.genivi.org

development list for the AudioManager

View all threads

Build issues integrating AM 7.6 into the baseline

SL
Stephen Lawrence
Thu, Feb 1, 2018 4:59 PM

Hi,

The BIT has tried to update the Yocto Baseline (meta-ivi) to use AM 7.6 but have found
two build issues at the configure step of building the main AM component. We have
documented them in the AM JIRA tickets AMP-4 and AMP-5 [1][2].

[1] https://at.projects.genivi.org/jira/browse/AMP-4
[2] https://at.projects.genivi.org/jira/browse/AMP-5

A pull request [3] has been sent to update meta-ivi to use AM 7.6 but it is currently blocked
from being merged by these issues. It therefore is also blocked from being included in the
Genivi 14 version of meta-ivi currently under development and GDP. Currently both remain
at a 7.5 commit.

[3] https://github.com/GENIVI/meta-ivi/pull/63

I assume AM 7.6 built for you outside of the baseline so it may just be an integration issue.
We would therefore like your help in fixing these issues. In the case of AMP-5 we need
feedback. I found a workaround, but it seems like it should not be needed.

Regards

Steve
BIT Lead

Hi, The BIT has tried to update the Yocto Baseline (meta-ivi) to use AM 7.6 but have found two build issues at the configure step of building the main AM component. We have documented them in the AM JIRA tickets AMP-4 and AMP-5 [1][2]. [1] https://at.projects.genivi.org/jira/browse/AMP-4 [2] https://at.projects.genivi.org/jira/browse/AMP-5 A pull request [3] has been sent to update meta-ivi to use AM 7.6 but it is currently blocked from being merged by these issues. It therefore is also blocked from being included in the Genivi 14 version of meta-ivi currently under development and GDP. Currently both remain at a 7.5 commit. [3] https://github.com/GENIVI/meta-ivi/pull/63 I assume AM 7.6 built for you outside of the baseline so it may just be an integration issue. We would therefore like your help in fixing these issues. In the case of AMP-5 we need feedback. I found a workaround, but it seems like it should not be needed. Regards Steve BIT Lead